package com.jwipc.inquiry.constant;

/**
 * <p>价格信息记录状态</p>
 *
 * @author shenyang.ou
 * @version 1.0
 * @since JDK 17
 */
public enum PriceInfoStatus {
    //价格信息记录状态；1-新建（ERP待录入）；2-审批中；3-审核拒绝；4-生效；5-失效
    /**
     * 新建
     */
    ADD(1),
    /**
     * 审批中
     */
    APPROVAL(2),
    /**
     * 审核拒绝
     */
    REJECT(3),
    /**
     * 生效
     */
    EFFECT(4),
    /**
     * 失效
     */
    EFFICACY(5),
    /**
     * 关闭
     */
    CLOSE(6);

    private final int status;

    /**
     * 默认构造函数
     */
    PriceInfoStatus(int status) {
        this.status = status;
    }

    public int getStatus() {
        return status;
    }
}
